DrawRDBTableVertex
Keywords: uk.ac.ic.doc.automed.editor.drawables.DrawRDBTableVertex class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.drawables
Class DrawRDBTableVertex

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawVertex
          uk.ac.ic.doc.automed.editor.DefaultDrawNodalVertex
              uk.ac.ic.doc.automed.editor.drawables.DrawRDBTableVertex

All Implemented Interfaces:
  Drawable, DrawableVertex

    public class DrawRDBTableVertex

extends DefaultDrawNodalVertex

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, dashedStroke, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, thickStroke, thinStroke, xInset, yInset, zeroOffset`

Constructor Summary
`DrawRDBTableVertex(EditorPanel ep, Positionable p)`

Method Summary
`void` | `paintComponent(java.awt.Graphics2D g)` Modify the basic drawing of arcs to set the arc colour based on the foreground colour of the first positionable connected
`void` | `paintText(java.awt.Graphics2D g)`

Methods inherited from class uk.ac.ic.doc.automed.editor.DefaultDrawNodalVertex
`getConnectionPoint, paintSymbol`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getBounds, getCentre, getCentreOffset, getConnectionPointMovableCentre, getConnectsTo, getPositionable, intersectLine, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawRDBTableVertex

    public DrawRDBTableVertex(EditorPanel ep,
                              Positionable p)

Method Detail

### paintComponent

    public void paintComponent(java.awt.Graphics2D g)

  Modify the basic drawing of arcs to set the arc colour based on the foreground colour of the first positionable connected

  Specified by:
    `paintComponent` in interface `Drawable`
  Overrides:
    `paintComponent` in class `DrawVertex`

### paintText

    public void paintText(java.awt.Graphics2D g)

  Overrides:
    `paintText` in class `DrawVertex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD